Bug 996092 - [AMQP 1.0] EXTERNAL not supported
[AMQP 1.0] EXTERNAL not supported
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
medium Severity unspecified
: 3.0
: ---
Assigned To: Gordon Sim
Petra Svobodová
:
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-08-12 07:48 EDT by Gordon Sim
Modified: 2015-01-21 07:56 EST (History)
5 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:56:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5062 None None None Never

  None (edit)
Description Gordon Sim 2013-08-12 07:48:23 EDT
Description of problem:

When using AMQP 1.0 over SSL with client authentication enabled, it is not possible to select EXTERNAL as the authentication mechanism.

Version-Release number of selected component (if applicable):

qpid-0.22

How reproducible:

100%

Steps to Reproduce:
1. Connect using AMQP 1.0 over SSL with EXTERNAL selected as the value for sasl_mechanisms (in connection options)

Actual results:

Get error saying that mechanism is not supported.

Expected results:

External authentication accepted and authorisation id taken from certificate.

Additional info:
Comment 1 Gordon Sim 2013-08-12 07:49:02 EDT
Fixed upstream: https://svn.apache.org/r1512346
Comment 2 Petra Svobodová 2014-01-06 10:19:31 EST
AMQP 1.0 over SSL with EXTERNAL client authentication mechanism is supported and works as expected.

Verified on qpid-cpp-0.22-30 on Rhel6.5-i686 and Rhel6.5-x86_64.

--> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.